<?php

use Phinx\Db\Adapter\MysqlAdapter;

class CreateRelacionInmobiliarias extends Phinx\Migration\AbstractMigration
{
	public function change(): void
	{
		$this->execute('SET unique_checks=0; SET foreign_key_checks=0;');
		$this->execute("ALTER DATABASE CHARACTER SET 'utf8mb4';");
		$this->execute("ALTER DATABASE COLLATE='utf8mb4_general_ci';");

		$this->table('relacion_inmobiliarias')
			->addColumn('padre', 'integer', ['length' => 11, 'default' => null, 'null' => true, 'signed' => false])
			->addColumn('hijo', 'integer', ['length' => 11, 'default' => null, 'null' => true, 'signed' => false])
			->create();
		$this->execute('SET unique_checks=1; SET foreign_key_checks=1;');
	}
}
